## org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect
Class ValueTableElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect.ValueTableElement

    public class ValueTableElement

extends java.lang.Object

Constructor Summary
`ValueTableElement(SQLDomainModel model, ValuesRow valRow, QueryValueExpression expr)`

Method Summary
`java.lang.String` `getColumnText(int columnIndex)` Get the MOF object value
`ValuesRow` `getValuesRow()`
`void` `modify(java.lang.Object key, java.lang.Object propValue)`
`void` `removeExpression()`
`QueryValueExpression` `showExpressionBuilder(java.lang.Object key, boolean isColumn, java.lang.String action)` Launch the expression builder

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueTableElement

    public ValueTableElement(SQLDomainModel model,
                             ValuesRow valRow,
                             QueryValueExpression expr)

Method Detail

### removeExpression

    public void removeExpression()

### getValuesRow

    public ValuesRow getValuesRow()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

  Get the MOF object value

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object propValue)

### showExpressionBuilder

    public QueryValueExpression showExpressionBuilder(java.lang.Object key,
                                                      boolean isColumn,
                                                      java.lang.String action)

  Launch the expression builder